This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 184114 - Double free or corruption
Double free or corruption
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 09:50 EST by Mario Mikocevic
Modified: 2007-11-30 17:11 EST (History)
9 users (show)

See Also:
Fixed In Version: device-mapper-multipath-0.4.5-12.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 18:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Multipath conf (1.40 KB, text/plain)
2006-03-06 09:50 EST, Mario Mikocevic
no flags Details

  None (edit)
Description Mario Mikocevic 2006-03-06 09:50:08 EST
Description of problem:

Setup simple cluster conf to be able to use GFS,
connect exported disk through device mapper and let multipathd
sort out pathing.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1831_FC4
kernel-smp-devel-2.6.15-1.1831_FC4
GFS-kernel-smp-2.6.11.8-20050601.152643.FC4.24
cman-kernel-smp-2.6.11.5-20050601.152643.FC4.22
dlm-kernel-smp-2.6.11.5-20050601.152643.FC4.21
device-mapper-multipath-0.4.4-2.3

How reproducible:
Always

Steps to Reproduce:

# service multipathd start

*** glibc detected *** /sbin/multipath: double free or corruption (!prev):
0x086623a8 ***
======= Backtrace: =========
/lib/libc.so.6[0xa46124]
/lib/libc.so.6(__libc_free+0x77)[0xa4665f]
/sbin/multipath[0x8050b33]
/sbin/multipath[0x804c2de]
/sbin/multipath[0x804c365]
/sbin/multipath[0x804c782]
/sbin/multipath[0x804b9d9]
/lib/libc.so.6(__libc_start_main+0xdf)[0x9f7d5f]
/sbin/multipath[0x80497fd]
======= Memory map: ========
00567000-00571000 r-xp 00000000 68:05 1211273    /usr/lib/libsysfs.so.1.0.2
00571000-00572000 rwxp 00009000 68:05 1211273    /usr/lib/libsysfs.so.1.0.2
005da000-005db000 r-xp 005da000 00:00 0          [vdso]
009c5000-009df000 r-xp 00000000 68:02 911234     /lib/ld-2.3.5.so
009df000-009e0000 r-xp 00019000 68:02 911234     /lib/ld-2.3.5.so
009e0000-009e1000 rwxp 0001a000 68:02 911234     /lib/ld-2.3.5.so
009e3000-00b06000 r-xp 00000000 68:02 911267     /lib/libc-2.3.5.so
00b06000-00b08000 r-xp 00123000 68:02 911267     /lib/libc-2.3.5.so
00b08000-00b0a000 rwxp 00125000 68:02 911267     /lib/libc-2.3.5.so
00b0a000-00b0c000 rwxp 00b0a000 00:00 0
00b14000-00b19000 r-xp 00000000 68:02 916689     /lib/libdevmapper.so.1.01
00b19000-00b1b000 rwxp 00005000 68:02 916689     /lib/libdevmapper.so.1.01
00b93000-00b9c000 r-xp 00000000 68:02 911326     /lib/libgcc_s-4.0.2-20051126.so.1
00b9c000-00b9d000 rwxp 00009000 68:02 911326     /lib/libgcc_s-4.0.2-20051126.so.1
08048000-08060000 r-xp 00000000 00:14 8085       /sbin/multipath
08060000-08061000 rw-p 00017000 00:14 8085       /sbin/multipath
08660000-08681000 rw-p 08660000 00:00 0          [heap]
b7d00000-b7d21000 rw-p b7d00000 00:00 0
b7d21000-b7e00000 ---p b7d21000 00:00 0
b7efb000-b7efc000 rw-p b7efb000 00:00 0
b7f01000-b7f02000 rw-p b7f01000 00:00 0
bf9ed000-bfa02000 rw-p bf9ed000 00:00 0          [stack]
Comment 1 Mario Mikocevic 2006-03-06 09:50:09 EST
Created attachment 125706 [details]
Multipath conf
Comment 2 Ben Marzinski 2006-08-03 18:06:25 EDT
This is fixed in fc5

Note You need to log in before you can comment on or make changes to this bug.